Norm {onion} | R Documentation

## Norm and modulus of an onionic vector

### Description

Norm of an onionic vector: the modulus and its square

### Usage

    ## S3 method for class 'onion'
    Norm(z)
    ## S3 method for class 'onion'
    Mod(z)
    ## S3 replacement method for class 'onion'
    Mod(z) <- value
    ## S3 method for class 'onion'
    sign(x)

### Arguments

`x,z` | Onionic vector
`value` | A real vector

### Note

The norm of onionic vector O is the product of O with its conjugate: |O|=OO^* but a more efficient numerical method is used (see `dotprod()`).

The Mod of onionic vector O is the square root of its norm.

The sign of onionic O is the onion with the same direction as O but with unit Norm: `sign(O)=O/Mod(O)`.

### Author(s)

Robin K. S. Hankin

### Examples

    a <- roct(5)
    Norm(a)
    Mod(a)

[Package onion version 1.2-7 Index]